%{!?mdkversion: %define notmdk 1}

Summary: 	A caching nss module for disconnected operation
Name:      	nss_updatedb
Version:   	10
Release:   	%mkrel 8
Source: 	http://www.padl.com/download/%{name}-%{version}.tar.gz
Source1:	nss_updatedb.cron
Source2:	nss_updatedb.sysconfig
# Uses getgrouplist(3) to find out the groups a user belongs to
# without enumerating all possible groups first
Source3:	getgrouplist.c
Patch0:		nss_updatedb-libdir.patch
Patch2:		nss_updatedb-4-key.patch
Patch3:		nss_updatedb-10-automake-1.13.patch
Group:		System/Libraries
License:	GPLv2
BuildRequires:	db5_nss-devel
Url:		http://www.padl.com/

%description
The nss_updatedb utility maintains a local cache of network
directory user and group information.
Used in conjunction with the pam_ccreds module, it provides
a mechanism for disconnected use of network directories.
These tools are designed to work with pam_ldap and nss_ldap,
also available from PADL.

%prep
%setup -q
%patch0 -p1 -b .libdir
%patch2 -p1 -b .key
%patch3 -p1
install -m 0644 %{SOURCE3} .

%build
autoreconf

%if %{?!notmdk:1}%{?notmdk:0}
echo "#define DB_DIR \"/var/lib/misc\"" >> config.h.in
%endif
echo "#define LIBNSS_DIR \"/%{_lib}\"" >> config.h.in

%configure2_5x

%make %{?!notmdk:DEFS="-DHAVE_CONFIG_H -I/usr/include/db_nss"}

gcc %{optflags} -Werror getgrouplist.c -o getgrouplist

%install
%makeinstall

install -m 755 %{SOURCE1} %{buildroot}/%{_sbindir}

install -d %{buildroot}/%{_sysconfdir}/sysconfig
install -m 644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/sysconfig/%{name}

install -d %{buildroot}/%{_sysconfdir}/cron.{monthly,weekly,daily,hourly}
for i in monthly weekly daily hourly
do ln -s %{_sbindir}/%{name}.cron %{buildroot}/%{_sysconfdir}/cron.${i}/%{name}
done

mkdir %{buildroot}%{_bindir}
install -m 0755 getgrouplist %{buildroot}%{_bindir}

%files
%doc AUTHORS README ChangeLog
%{_sbindir}/nss_updatedb*
%{_bindir}/getgrouplist
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_sysconfdir}/cron*/*
%{_mandir}/man8/nss_updatedb.8*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 10-8.mga3
+ Revision: 361068
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 luigiwalser <luigiwalser> 10-7.mga3
+ Revision: 340726
- fix for automake 1.13

* Tue Jul 31 2012 fwang <fwang> 10-6.mga3
+ Revision: 276299
- rebuild for db-5.3

* Fri Jul 27 2012 fwang <fwang> 10-5.mga3
+ Revision: 274825
- use db5

* Fri Jul 27 2012 fwang <fwang> 10-4.mga3
+ Revision: 274821
- br system dbnss

* Fri Jul 20 2012 tmb <tmb> 10-3.mga3
+ Revision: 272815
- drop requires on nss_db as it's now provided by glibc

* Sun Feb 19 2012 pterjan <pterjan> 10-2.mga2
+ Revision: 210709
- Drope useless BuildRequire on automake1.4
- Fix license tag

* Thu Sep 08 2011 tv <tv> 10-1.mga2
+ Revision: 141091
- new release
- drop version/rel macros

* Tue Mar 08 2011 ennael <ennael> 8-7.mga1
+ Revision: 66508
- clean spec file
- imported package nss_updatedb

